
Redmine - Defect #12164

Error on updating issue

2012-10-19 16:21 - Ken Ip

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.0.4

Description

Ruby 1.9.3-p194 / Redmine 2.0.4 / mysql 5.5 with backlogs and wk_time plugins

On updating one of the older issue this error crops up.

NoMethodError (undefined method `<' for nil:NilClass):  app/models/issue.rb:731:in `block in save_

issue_with_child_records'

  app/models/issue.rb:718:in `save_issue_with_child_records'

  app/controllers/issues_controller.rb:182:in `update'

 Seems like it happens when trying to run this line:

Redmine::Hook.call_hook(:controller_issues_edit_after_save, { :params => params, :issue => self, :

time_entry => @time_entry, :journal => @current_journal})

 Any help would be greatly appreciated!

History

#1 - 2012-10-19 18:15 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Sorry, you should contact the plugin author or post in Plugins forum, this tracker if for Redmine core only.

#2 - 2012-10-19 20:53 - Ken Ip

I thought this method is in core?

#3 - 2012-10-20 02:27 - Mischa The Evil

Ken Ip wrote:

I thought this method is in core?

 That's correct (see source:/trunk/app/models/issue.rb@10671#L920), but the error is triggered by a plugin hooking into the

:controller_issues_edit_after_save hook according to the given info.

#4 - 2012-10-22 23:28 - Ken Ip

Actually my mistake - this is happening on the line BEFORE, which is 

if @issue.save

. I've also experienced it on create too when calling save. Any idea if this is plugin still? Can't really find where in the before_save that does this.....

Appreciated!

#5 - 2012-10-23 10:38 - Etienne Massip

Hard to tell, but looking at source:/tags/2.0.4/app/models/issue.rb#L731 (according to the stack trace) where there's no call to < method, yes, it's likely

that the plugin is responsible for this error.
